2

I finally upgraded from 16.04 to 18.04. Teamviewer was working just fine in 16.04. After the upgrade when I try to launch the GUI it gives me:

/opt/teamviewer/tv_bin/TeamViewer: symbol lookup error: /opt/qt514/lib/libQt5XcbQpa.so.5: undefined symbol: FT_Get_Font_Format

I made sure it was already on a new enough version of freetype because of the whole FT_Get_X11_Font_Format vs FT_Get_Font_Format issue that normally causes this error.

It seems the function is available:

rreese@rreese-desktop:~$ sudo readelf -s /usr/lib/x86_64-linux-gnu/libfreetype.so | grep -i font_format
   195: 000000000000fc10     2 FUNC    GLOBAL DEFAULT   12 FT_Get_X11_Font_Format
   208: 000000000000fbe0    43 FUNC    GLOBAL DEFAULT   12 FT_Get_Font_Format

I tried upgrading QT thinking that might be the issue, but 5.14 gives me the same error. I'm kinda at my wits end here. Does anyone have some suggestions?

Thanks!

1 Answer 1

1

So it turns out there was an old "fix" I had for FFMPEG in /etc/ld.so.conf.d/ that was pointing at another lib folder. It must have taken priority because I saw when I ran teamviewer with strace it was using libfreetype.so.6 from there. Must have been a older version without the FT_Get_Font_Format because when I removed that 'fix' it grabbed the correct version and was fine.

1
  • 1
    This issue cost me several hours, though in my case, it was zoom. One other note is you may need to run ldconfig as root after modifying these files.
    – Tad M.
    May 4, 2021 at 19:53

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.